
capsul.study_config module
==========================

.. inheritance-diagram:: capsul.study_config capsul.study_config.study_config capsul.study_config.config_utils capsul.study_config.memory capsul.study_config.process_instance capsul.study_config.run capsul.study_config.config_modules
    :parts: 1

.. automodule:: capsul.study_config
    :members:

capsul.study_config.config_utils submodule
------------------------------------------

.. automodule:: capsul.study_config.config_utils
    :members:

capsul.study_config.memory submodule
------------------------------------

.. automodule:: capsul.study_config.memory
    :members:

capsul.study_config.process_instance submodule
----------------------------------------------

.. automodule:: capsul.study_config.process_instance
    :members:

capsul.study_config.run submodule
---------------------------------

.. automodule:: capsul.study_config.run
    :members:

capsul.study_config.study_config submodule
------------------------------------------

.. inheritance-diagram:: capsul.study_config.study_config
    :parts: 1
..     :top-classes: traits.has_traits.HasTraits

.. automodule:: capsul.study_config.study_config
    :members:

capsul.study_config.config_modules submodule
--------------------------------------------

.. inheritance-diagram:: capsul.study_config.config_modules.attributes_config capsul.study_config.config_modules.brainvisa_config capsul.study_config.config_modules.fom_config capsul.study_config.config_modules.freesurfer_config capsul.study_config.config_modules.fsl_config capsul.study_config.config_modules.matlab_config capsul.study_config.config_modules.nipype_config capsul.study_config.config_modules.smartcaching_config capsul.study_config.config_modules.somaworkflow_config capsul.study_config.config_modules.spm_config  capsul.study_config.config_modules
    :parts: 1

.. automodule:: capsul.study_config.config_modules
    :members:

capsul.study_config.config_modules.attributes_config submodule
--------------------------------------------------------------

.. inheritance-diagram:: capsul.study_config.config_modules.attributes_config
    :parts: 1

.. automodule:: capsul.study_config.config_modules.attributes_config
    :members:

capsul.study_config.config_modules.brainvisa_config submodule
-------------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.brainvisa_config
    :members:

capsul.study_config.config_modules.fom_config submodule
-------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.fom_config
    :members:

capsul.study_config.config_modules.freesurfer_config submodule
--------------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.freesurfer_config
    :members:

capsul.study_config.config_modules.fsl_config submodule
-------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.fsl_config
    :members:

capsul.study_config.config_modules.matlab_config submodule
----------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.matlab_config
    :members:

capsul.study_config.config_modules.nipype_config submodule
----------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.nipype_config
    :members:

capsul.study_config.config_modules.smartcaching_config submodule
----------------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.smartcaching_config
    :members:

capsul.study_config.config_modules.somaworkflow_config submodule
----------------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.somaworkflow_config
    :members:

capsul.study_config.config_modules.spm_config submodule
-------------------------------------------------------

.. automodule:: capsul.study_config.config_modules.spm_config
    :members:
